package com.huigou.topsun.sap.nonProducePick.application;

import com.huigou.topsun.sap.nonProducePick.domain.NonProducePick;
import com.huigou.topsun.sap.nonProducePick.domain.query.NonProducePickQueryRequest;
import com.huigou.topsun.sap.nonProducePick.vo.PDABackPickVo;
import com.huigou.topsun.sap.nonProducePick.vo.PDANonProducePickItemVo;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/13/9:44
 * @Description:
 */
public interface NonProducePickApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/nonProducePick/nonProducePick.xml";

    String PROCESS_DEFINITION_KEY = "nonProducePickProc";

    NonProducePick findNonProducePickById(String id);

    void deleteNonProducePickById(List<String> ids);

    NonProducePick saveNonProducePick(NonProducePick nonProducePick);

    Map<String, Object> slicedNonProducePickList(NonProducePickQueryRequest queryRequest);

    public void sendNonProducePickData(NonProducePick nonProducePick,String ztype);

    void chargeOff(String message);

    /**
     * 根据预留号查询领料单
     * @param rsnums
     * @return
     */
    List<PDANonProducePickItemVo> getNonProducePick(List<String> rsnums);

    void backNonProducePick(PDABackPickVo requestBody);
}
